#include <sys/types.h>
#include <stdio.h>
#include <stdint.h>
#include <bsnmp/asn1.h>
#include <bsnmp/snmp.h>
#include <bsnmp/snmpagent.h>
#include "jails_tree.h"

const struct snmp_node jails_ctree[] = {
    {{ 10, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 1, }}, "jailCount", SNMP_NODE_LEAF, SNMP_SYNTAX_INTEGER, op_jail, 0, 0, NULL, NULL },
    {{ 12, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 2, 1, 0, }}, "jailIndex", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_jailentry, 0, 0x11, NULL, NULL },
    {{ 12, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 2, 1, 1, }}, "jailHost", SNMP_NODE_COLUMN, SNMP_SYNTAX_OCTETSTRING, op_jailentry, 0, 0x11, NULL, NULL },
    {{ 12, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 2, 1, 10, }}, "jailInOctets", SNMP_NODE_COLUMN, SNMP_SYNTAX_COUNTER64, op_jailentry, 0, 0x11, NULL, NULL },
    {{ 12, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 2, 1, 11, }}, "jailInPackets", SNMP_NODE_COLUMN, SNMP_SYNTAX_COUNTER64, op_jailentry, 0, 0x11, NULL, NULL },
    {{ 12, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 2, 1, 12, }}, "jailOutOctets", SNMP_NODE_COLUMN, SNMP_SYNTAX_COUNTER64, op_jailentry, 0, 0x11, NULL, NULL },
    {{ 12, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 2, 1, 13, }}, "jailOutPackets", SNMP_NODE_COLUMN, SNMP_SYNTAX_COUNTER64, op_jailentry, 0, 0x11, NULL, NULL },
    {{ 12, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 2, 1, 20, }}, "jailProcesses", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_jailentry, 0, 0x11, NULL, NULL },
    {{ 12, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 2, 1, 21, }}, "jailThreads", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_jailentry, 0, 0x11, NULL, NULL },
    {{ 12, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 2, 1, 25, }}, "jailCpuTime", SNMP_NODE_COLUMN, SNMP_SYNTAX_TIMETICKS, op_jailentry, 0, 0x11, NULL, NULL },
    {{ 12, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 2, 1, 30, }}, "jailDiskSpace", SNMP_NODE_COLUMN, SNMP_SYNTAX_COUNTER64, op_jailentry, 0, 0x11, NULL, NULL },
    {{ 12, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 2, 1, 31, }}, "jailDiskFiles", SNMP_NODE_COLUMN, SNMP_SYNTAX_COUNTER64, op_jailentry, 0, 0x11, NULL, NULL },
    {{ 10, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 100, }}, "jailNetworkFilter", SNMP_NODE_LEAF, SNMP_SYNTAX_OCTETSTRING, op_jailconfig, 0|SNMP_NODE_CANSET, 0, NULL, NULL },
    {{ 10, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 101, }}, "jailRefreshInterval", SNMP_NODE_LEAF, SNMP_SYNTAX_TIMETICKS, op_jailconfig, 0|SNMP_NODE_CANSET, 0, NULL, NULL },
    {{ 10, { 1, 3, 6, 1, 4, 1, 12325, 1, 1111, 102, }}, "jailMeasureInterval", SNMP_NODE_LEAF, SNMP_SYNTAX_TIMETICKS, op_jailconfig, 0|SNMP_NODE_CANSET, 0, NULL, NULL },
};

